"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var split = function split(s, delimiter) {
  if (!s) {
    return [];
  }

  if (!delimiter) {
    delimiter = "*";
  }

  var raw = s.split(delimiter);
  var len = raw.length - 1;
  var cook = raw.map(function (item, i) {
    if (i % 2 === 0 || i === len) {
      return [0, item];
    } else {
      return [1, item];
    }
  });
  return cook;
};

var _default = split;
exports["default"] = _default;
module.exports = exports.default;