"use strict";

var _interopRequireDefault = require("reshow-runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _reactAtomicMolecule = require("react-atomic-molecule");

var _split = _interopRequireDefault(require("../../lib/split.js"));

var _jsxRuntime = require("react/jsx-runtime");

var Highlight = function Highlight(_ref) {
  var children = _ref.children,
      start = _ref.start,
      end = _ref.end,
      tagStyle = _ref.tagStyle;

  if (!isNaN(start) && !isNaN(end)) {
    var arr = [];

    if (0 !== start * 1) {
      arr.push(children.substring(0, start));
    }

    arr.push( /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactAtomicMolecule.SemanticUI, {
      atom: "b",
      style: tagStyle,
      children: children.substring(start, end)
    }, "keyword"));

    if (children.length !== end * 1) {
      arr.push(children.substring(end, children.length));
    }

    return arr;
  } else {
    var _arr = (0, _split["default"])(children);

    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: _arr.map(function (item, i) {
        if (item[0]) {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactAtomicMolecule.SemanticUI, {
            atom: "b",
            style: tagStyle,
            children: item[1]
          }, i);
        } else {
          return item[1];
        }
      })
    });
  }
};

var _default = Highlight;
exports["default"] = _default;
module.exports = exports.default;